# Generated from lazy_blob_storage-1.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name lazy_blob_storage

Name: rubygem-%{gem_name}
Version: 1.2.1
Release: 1%{?dist}
Summary: Low traffic site? Small file upload needs? Don't want to setup a cloud service? Lazy Blob Storage is for you!
License: MIT
URL: https://git.mreach.com/csmedstad/lazy_blob_storage
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pg)
BuildArch: noarch

%description
Low traffic site? Small file upload needs? Don't want to setup a cloud
service? Lazy Blob Storage is for you!


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Mon Sep 13 2021 mockbuilder - 1.2.1-1
- Initial package
